<template>
	<view class="">
		<view v-for="(item,index) in list" :key="index" class="u-flex u-row-between" style="height: 126rpx;border-bottom: 2rpx solid #F8F8FB;padding: 0 32rpx;background-color: #fff;">
			<view class="u-flex-col">
				<text style="font-size: 28rpx;color: #666666;margin-bottom: 4rpx;">{{item.statusMessage}}</text>
				<text style="font-size: 24rpx;color: #666666;">{{item.finishedTime}}</text>
			</view>
			<view style="font-size: 32rpx;color: #333333;">￥{{item.brokerAmount}}</view>
		</view>
		<view style="height: 80vh;" v-if="list.length == 0" class="u-flex-col u-col-center u-row-center">
			<image style="width: 176rpx;height: 176rpx;margin-bottom: 40rpx;" src="../../static/img/jilu-not.png" mode=""></image>
			<text style="font-size: 28rpx;color: #CCCCCC;">您当前还没有</text>
			<text style="font-size: 28rpx;color: #CCCCCC;">转账记录</text>
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				page: 1,
				list: []
			}
		},
		onLoad() {
			this.getdata()
		},
		methods: {
			getdata() {
				this.$http.transList({
					pageNo: this.page
				}).then(res => {
					this.list = this.list.concat(res.data.result.records)
				})
			}
		}
	}
</script>

<style lang="scss">
</style>